## SoupCookieJarText

SoupCookieJarText — Text-file-based ("cookies.txt") Cookie Jar

## Functions

SoupCookieJar * | soup_cookie_jar_text_new ()

## Properties

char * | filename | Read / Write / Construct Only

## Types and Values

| SoupCookieJarText

## Object Hierarchy

        GObject
        ╰── SoupCookieJar
            ╰── SoupCookieJarText

## Implemented Interfaces

SoupCookieJarText implements SoupSessionFeature.

## Includes

    #include <libsoup/soup.h>

## Description

SoupCookieJarText is a SoupCookieJar that reads cookies from and writes them to a text file in format similar to Mozilla's "cookies.txt".

## Functions

### soup_cookie_jar_text_new ()

    SoupCookieJar *
    soup_cookie_jar_text_new (const char *filename,
                              gboolean read_only);

Creates a SoupCookieJarText.

`filename` will be read in at startup to create an initial set of cookies. If `read_only` is `FALSE`, then the non-session cookies will be written to `filename` when the 'changed' signal is emitted from the jar. (If `read_only` is `TRUE`, then the cookie jar will only be used for this session, and changes made to it will be lost when the jar is destroyed.)

#### Parameters

filename | the filename to read to/write from |
read_only | `TRUE` if `filename` is read-only |

#### Returns

the new SoupCookieJar

## Types and Values

### SoupCookieJarText

    typedef struct _SoupCookieJarText SoupCookieJarText;

Subclass of SoupCookieJar that stores cookies in a text file.

## Property Details

### The `“filename”` property

      “filename”                 char *

Cookie-storage filename.

Owner: SoupCookieJarText

Flags: Read / Write / Construct Only

Default value: NULL